/api/v1/llm-providers (GET)
GET
/api/v1/llm-providers
const url = 'https://api.endless.zaia.app/api/v1/llm-providers?pageNumber=1&pageSize=10';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.endless.zaia.app/api/v1/llm-providers?pageNumber=1&pageSize=10'Retrieves multiple LLM providers.
Parameters
Seção intitulada “Parameters”Query Parameters
Seção intitulada “Query Parameters”pageNumber
The page number.
number
The page number.
pageSize
The page size.
number
The page size.
types
Any of:
Array<string>
string
Responses
Seção intitulada “Responses”Retrieves all LLM providers for the workspace.
Media typeapplication/json
Array<object>
object
createdAt
required
string format: date-time
id
required
A UUID v4 string that identifies an entity.
string format: uuid
isRemoved
required
boolean
updatedAt
required
string format: date-time
apiKey
required
The API key used to authenticate with the LLM provider.
string
description
required
The internal description of the LLM provider configuration.
string
name
required
The display name of the LLM provider configuration.
string
referenceId
required
The optional reference ID associated with the LLM provider configuration.
string format: uuid
type
required
The upstream LLM provider type configured for this record.
string
workspaceId
required
The workspace ID that owns the LLM provider configuration.
string format: uuid
Example
[ { "type": "openai" }]Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}